/*
 * quick & dirty wrapper SHALL BE REWRITTEN

 */

#include "gui.h"
#include "resources.h"



static color_t guiColors[G_NB_COLORS];
static gui_font_t guiCurrentFont;

static lut8bpp_st guiLuts[G_NB_LUT];
static uint8_t currentLut = G_LUT_NORMAL;

static const void *guiFonts[G_NB_FONT];

void GraphInit(void) {
  guiColors[G_COL_BACKGROUND] = P2D_Color(200, 200, 200);
  guiColors[G_COL_E_BACKGROUND] = P2D_Color(255, 255, 255);
  guiColors[G_COL_L_BACKGROUND] = P2D_Color(180, 180, 180);
  guiColors[G_COL_TEXT] = P2D_Color(0, 0, 0);
  guiColors[G_COL_D_TEXT] = P2D_Color(127, 127, 127);
  guiColors[G_COL_UPPER_REC] = P2D_Color(255, 255, 255);
  guiColors[G_COL_LOWER_REC] = P2D_Color(127, 127, 127);
  guiColors[G_COL_SPECIAL] = P2D_Color(0, 150, 230);
  guiColors[G_COL_LED_ON] = P2D_Color(0, 255, 0);
  guiColors[G_COL_LED_OFF] = P2D_Color(255, 0, 0);

  guiFonts[G_FONT_DEFAULT] = FontFreeSerif_4bpp_n_16;
  guiFonts[G_FONT_BOLD] = FontFreeSerif_4bpp_b_16;
  guiFonts[G_FONT_ITALIC] = FontFreeSerif_4bpp_i_16;
  guiFonts[G_FONT_DIGIT] = Digit_4bpp_n_16;
  guiFonts[G_FONT_BIG] = FontFreeSerif_4bpp_n_20;
  SetFont(G_FONT_DEFAULT);

  P2D_InitLut8BPP(&guiLuts[G_LUT_NORMAL], spriteLut, LUT_E_COPY | LUT_O_COLOR_KEY);
  P2D_InitLut8BPP(&guiLuts[G_LUT_DISABLED], spriteLut, LUT_E_COPY | LUT_O_BLACK_AND_WHITE | LUT_O_COLOR_KEY);
  SetLut(G_LUT_NORMAL);
}




void SetFont(gui_font_t font) {
  if(font < G_NB_FONT) {
    guiCurrentFont = font;
  }
  P2D_SetFont(guiFonts[guiCurrentFont]);
}

gui_font_t GetCurrentFont(void) {
  return guiCurrentFont;
}


color_t GetColor(uint16_t col) {
  if(col < G_NB_COLORS) return guiColors[col];
  else return 0;
}

void SetColor(uint16_t id, color_t col) {
  if(id < G_NB_COLORS) guiColors[id] = col;
}




/*
 * quick & dirty wrapper, to handle font & sprite through #id instead of addresses.
 * shall be rewritten
 */
void SetLut(uint8_t lut) {
  if(lut < G_NB_LUT) {
    currentLut = lut;
  }
}

length_t  SpriteGetWidth(gui_img_t img) {
  return P2D_SpriteGetWidth(sprite);
}

length_t  SpriteGetHeight(gui_img_t img) {
  return P2D_SpriteGetWidth(sprite);
}

void Sprite(coord_t x0, coord_t y0, gui_img_t img) {

  rect_st dst, src;
  uint16_t w, h;
  static uint8_t myOldLut = 0xFF;
  
  if(img > 0) { /*0 means no image*/
    img--;
    
    w = SpriteGetWidth(img);
    h = SpriteGetWidth(img);  /*here, square icons. Plz correct me in the feature*/

    dst.x = x0;
    dst.y = y0;
    dst.w = w;
    dst.h = h;
    
    src.x = 0;
    src.y = img * h;
    src.w = w;
    src.h = h;
    
    if(myOldLut != currentLut) {
      myOldLut = currentLut;
      P2D_SpriteSetLut8BPP(&guiLuts[myOldLut]);
    }

    P2D_UpdateLut8BPP(&guiLuts[currentLut]);  /*always update (for colorkey mask)*/
    
    P2D_Sprite(&src, &dst, sprite);
  }



}

